POST
Transfers/wallets/pay-merchantPay merchant wallet
Executes a user-to-merchant wallet transfer.
Access tiercustomerRate limit20/minIdempotencybody:idempotency_keyAuthenticationBearerAuth
Source
LuxApi/app/Http/Controllers/Api/WalletApiController.php::payMerchantLuxPayProjects @ 146e98baa44eParameters
X-Request-IDheaderClient correlation identifier. LuxPay may generate one when omitted.
Example:req_01J...Request body
MerchantPaymentRequestRequired
source_wallet_idinteger
destination_wallet_idinteger
amountnumber
currency_codestring
idempotency_keystring
descriptionstring | null
JSON example
{
"source_wallet_id": 1,
"destination_wallet_id": 1,
"amount": 1,
"currency_code": "string",
"idempotency_key": "string",
"description": "string"
}Code examples
The displayed sandbox host is a placeholder until an official host is provisioned. Never paste a production token into a public browser.
curl --request POST \
--url 'https://sandbox-api.luxpay.example/v1/wallets/pay-merchant' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"source_wallet_id": 1,
"destination_wallet_id": 1,
"amount": 1,
"currency_code": "string",
"idempotency_key": "string",
"description": "string"
}'Responses
200Successful response.
statusboolean
Example:
truemessagestring | null
dataTransfer
{
"status": true,
"message": "string",
"data": {
"uuid": "00000000-0000-4000-8000-000000000001",
"source_wallet_id": 1,
"destination_wallet_id": 1,
"amount": 1,
"currency_code": "string",
"fee_amount": 1,
"status": "string",
"idempotency_key": "string"
}
}